## amd-gpu-x11-bin-mx51 11.03.00

=== debian/changelog ===
amd-gpu-x11-bin-mx51 (11.03.00-0charlotte1) lucid; urgency=low

  * Import from Freescale release 11.03
  * Split EGL, GLES1, GLES2, and OpenVG libraries into separate packages
    which provide/conflict/replace the mesa equivalents

 -- Alex Chiang <achiang@canonical.com>  Mon, 25 Apr 2011 21:29:47 -0600

amd-gpu-x11-bin-mx51 (11.01.00-0charlotte1) lucid; urgency=low

  * Import from Freescale release 11.01 (LP: #731060)

 -- Alex Chiang <achiang@canonical.com>  Mon, 07 Mar 2011 22:00:52 -0700

amd-gpu-x11-bin-mx51 (10.11.01-0charlotte1) lucid; urgency=low

  * Import from Freescale release 10.11

 -- Alex Chiang <achiang@canonical.com>  Tue, 08 Feb 2011 20:38:40 -0700
