=== debian/control ===
Source: amd-gpu-x11-bin-mx51
Maintainer: Alex Chiang <achiang@canonical.com>
Build-Depends: debhelper (>= 7.0.50~),
               po-debconf,
               libx11-6,
               libxext6,
               libxrender1
Section: libs
Priority: extra
Standards-Version: 3.8.4

Package: libamdgpu
Architecture: armel
Priority: extra
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GPU libraries for fsl imx51
 GPU user space libraries for imx51 X acceleration
 .
 This package contains the remaining binaries and common libraries.

Package: libamdgpu-test
Architecture: armel
Priority: extra
Depends: libamdgpu (= ${binary:Version}), ${misc:Depends},
 libegl1-amdgpu-mx51,
 libgles1-amdgpu-mx51,
 libgles2-amdgpu-mx51,
 libopenvg1-amdgpu-mx51
Description: Test programs for imx51 GPU libraries
 Simple test programs to verify imx51 X accleration enablement

Package: libegl1-amdgpu-mx51
Architecture: armel
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libamdgpu (= ${binary:Version})
Provides: libegl1-x11
Conflicts: libegl1-x11
Replaces: libegl1-x11
Description: GPU libraries for fsl imx51
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES and OpenVG.

Package: libegl1-amdgpu-mx51-dev
Section: libdevel
Architecture: armel
Depends: libegl1-amdgpu-mx51 (= ${binary:Version}), libx11-dev, ${misc:Depends}
Provides: libegl1-mesa-dev, libegl1-x11-dev
Conflicts: libegl1-mesa-dev, libegl1-x11-dev
Replaces: libegl1-mesa-dev, libegl1-x11-dev
Description: GPU libraries for fsl imx51
 This package contains the development files for the EGL native platform
 graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES and OpenVG.
 .
 This package contains the development files for the EGL library.

Package: libgles1-amdgpu-mx51
Architecture: armel
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libamdgpu (= ${binary:Version})
Provides: libgles1
Conflicts: libgles1
Replaces: libgles1
Description: GPU libraries for fsl imx51
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 1.x provides an API for fixed-function hardware.

Package: libgles1-amdgpu-mx51-dev
Section: libdevel
Architecture: armel
Depends: libgles1-amdgpu-mx51 (= ${binary:Version}), ${misc:Depends}
Provides: libgles1-mesa-dev, libgles1-dev
Conflicts: libgles1-mesa-dev, libgles1-dev
Replaces: libgles1-mesa-dev, libgles1-dev
Description: GPU libraries for fsl imx51
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 1.x provides an API for fixed-function hardware.
 .
 This package contains the development files for the GLES1 library.

Package: libgles2-amdgpu-mx51
Architecture: armel
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libamdgpu (= ${binary:Version})
Provides: libgles2
Conflicts: libgles2
Replaces: libgles2
Description: GPU libraries for fsl imx51
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 2.x provides an API for programmable hardware including vertex
 and fragment shaders.

Package: libgles2-amdgpu-mx51-dev
Section: libdevel
Architecture: armel
Depends: libgles2-amdgpu-mx51 (= ${binary:Version}), ${misc:Depends}
Provides: libgles2-mesa-dev, libgles2-dev
Conflicts: libgles2-mesa-dev, libgles2-dev
Replaces: libgles2-mesa-dev, libgles2-dev
Description: GPU libraries for fsl imx51
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 2.x provides an API for programmable hardware including vertex
 and fragment shaders.
 .
 This package contains the development files for the GLES2 library.

Package: libopenvg1-amdgpu-mx51
Architecture: armel
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libamdgpu (= ${binary:Version})
Provides: libopenvg1
Conflicts: libopenvg1
Replaces: libopenvg1
Description: GPU libraries for fsl imx51
 This package contains the Freescale AMDGPU implementation of the OpenVG 2D
 acceleration library. OpenVG provides a device independent and vendor-neutral
 interface for sophisticated 2D graphical applications, while allowing device
 manufacturers to provide hardware acceleration on devices ranging from wrist
 watches to full microprocessor-based desktop and server machines.

Package: libopenvg1-amdgpu-mx51-dev
Section: libdevel
Architecture: armel
Depends: libopenvg1-amdgpu-mx51 (= ${binary:Version}), ${misc:Depends}
Provides: libopenvg1-mesa-dev, libopenvg1-dev
Conflicts: libopenvg1-mesa-dev, libopenvg1-dev
Replaces: libopenvg1-mesa-dev, libopenvg1-dev
Description: GPU libraries for fsl imx51
 This package contains the Freescale AMDGPU implementation of the OpenVG 2D
 acceleration library. OpenVG provides a device independent and vendor-neutral
 interface for sophisticated 2D graphical applications, while allowing device
 manufacturers to provide hardware acceleration on devices ranging from wrist
 watches to full microprocessor-based desktop and server machines.
 .
 This package contains the development files for the OVG library.
